<?php

require_once("../config/conexion.php");
require_once("../models/Personalizar.php");
$personalizar = new Personalizar();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {
    case "consultar":
        $datos = $personalizar->Personalizar_por_Usuario($_SESSION["usuariodbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["personalizardbk"] = $row["personalizardbk"];
                $output["per_usuariodbk"] = $row["per_usuariodbk"];
                $output["per_menu"] = $row["per_menu"];
                $output["per_pie"] = $row["per_pie"];
                $output["per_accesos"] = $row["per_accesos"];
                $output["per_icono"] = $row["per_icono"];
                $output["per_texto"] = $row["per_texto"];
            }
            echo json_encode($output);
        }
        break;
    case "actualizar":
        $datos = array("tabla" => "personalizar",
            "per_usuariodbk" => $_POST["per_usuariodbk"],
            "per_menu" => $_POST["per_menu"],
            "per_pie" => $_POST["per_pie"],
            "per_accesos" => $_POST["per_accesos"],
            "per_texto" => $_POST["per_texto"],
            "per_icono" => $_POST["per_icono"]);
        $resultado = $personalizar->Personalizar_por_Usuario($datos["per_usuariodbk"]);
        if (is_array($resultado) == true and count($resultado) <> 0) {
            $personalizar->mdlActualizar($datos);
        }else{
            $personalizar->mdlInsertar($datos);
        }
        break;
    case "eliminar":
        $datos = array("tabla" => "personalizar",
            "per_usuariodbk" => $_POST["per_usuariodbk"]);
        $resultado = $personalizar->Eliminar($datos["per_usuariodbk"]);      
        break;
}
?>